%define lib_name %mklibname xml 1
%define lib_major

Summary: The libXML library.
Name: libxml
Version: 1.8.17
Release: 5mdk
License: LGPL
Group: System/Libraries
BuildRequires: zlib-devel
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (gb) 1.8.17-2mdk add missing include
Patch0: libxml-1.8.17-includes.patch.bz2
# (fc) 1.8.17-3mdk remove -L/usr/lib from xml-config --libs
Patch1: libxml-1.8.17-libdir.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.xmlsoft.org/
Prereq: /sbin/install-info

%description
This library allows you to manipulate XML files.

%package -n %{lib_name}
Summary: %{summary}
Group: %{group}
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This library allows you to manipulate XML files.

%package -n %{lib_name}-devel
Summary: Libraries, includes and other files to develop libxml applications.
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Requires: zlib-devel
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This packages contains the libraries, include and other files 
you can use to develop libxml applications.


%prep
%setup -q
%patch0 -p1 -b .includes
%patch1 -p1 -b .libdir

# remove conflicting ltconfig and ltmain.sh
rm -f ltmain.sh ltconfig
libtoolize --force
aclocal
automake
#also needed by patch1
autoconf

%build
%configure
%make

# all tests must pass
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_bindir}/xml-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gnome-xml

%changelog
* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.17-5mdk
- mklibname

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.17-4mdk
- Rebuild

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.17-3mdk
- Patch1: don't add -L/usr/lib to xml-config --libs

* Wed Jul 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.17-2mdk
- Costlessly make check in %%build stage
- Patch0: Add missing includes. Actually add missing check for
  <string.h> in configure script.

* Thu Jan 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.17-1mdk
- Release 1.8.17

* Tue Oct  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.8.16-1mdk
- release 1.8.16

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.15-1mdk
- Release 1.8.15

* Fri Jun 29 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.8.14-1mdk
- new version

* Tue May 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.13-1mdk
- Release 1.8.13
- Don't use %%make macro, parallel compilation is broken

* Thu Jan 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.11-1mdk
- Release 1.8.11
- use more macros

* Sun Oct 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.10-1mdk
- new and shiny version.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.9-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.9-2mdk
- rebuild 

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.9-1mdk
- new version
- big move

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.8.8-4mdk
- spec cleanup.

* Thu Jul 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.8-3mdk
- use some macros

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-2mdk
- moved xml-config to devel package. Thanx to Stefan

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-1mdk
- updated.
- spec cleanup.

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.7-1mdk
- fix release tag

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.7-1mdk
- release from helix stuffs.

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.6-2mdk
- fix group
 
* Sun Feb 20 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.8.6-1mdk
- 1.8.6
  
* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.7.3
   
* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.1
    
* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.
	  
* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.0.    

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
 
* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0
  
* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8
   
* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5
   
* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again
	 
* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze
	  
* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package
	   
* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30                                   
